NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Annotations.BaseAngularDimensionBuilder Class Reference

Represents a NXOpen.Annotations.AngularDimension builder More...

Inheritance diagram for NXOpen.Annotations.BaseAngularDimensionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Annotations.AngularDimensionBuilder NXOpen.Annotations.PmiAngularDimensionBuilder NXOpen.SketchAngularDimensionBuilder NXOpen.Annotations.MajorAngularDimensionBuilder NXOpen.Annotations.MinorAngularDimensionBuilder NXOpen.Annotations.PmiMajorAngularDimensionBuilder NXOpen.Annotations.PmiMinorAngularDimensionBuilder

Public Member Functions

unsafe void AlternateAngle ()
 Alternate angle More...
 
unsafe bool GetFirstAssociativityVectorFlipped ()
 First associativity vector flipped More...
 
unsafe bool GetSecondAssociativityVectorFlipped ()
 Second associativity vector flipped More...
 
unsafe void SetFirstAssociativityVectorFlipped (bool firstVectorFlipped)
 First associativity vector flipped More...
 
unsafe void SetSecondAssociativityVectorFlipped (bool secondVectorFlipped)
 Second associativity vector flipped More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Annotations.AppendedTextBuilder 
AppendedText [get]
 Returns the appended text More...
 
unsafe
NXOpen.SelectDisplayableObject 
FirstAssociativity [get]
 Returns the first associativity More...
 
unsafe NXOpen.Direction FirstVector [get, set]
 Returns or sets the first vector More...
 
unsafe NXOpen.View FirstVectorView [get, set]
 Returns or sets the first vector view More...
 
unsafe
NXOpen.Annotations.SelectDimension 
Inherit [get]
 Returns the inherit More...
 
unsafe
NXOpen.Annotations.Dimension.MeasurementTypes 
MeasurementType [get, set]
 Returns or sets the measurement type More...
 
unsafe
NXOpen.Annotations.OriginBuilder 
Origin [get]
 Returns the origin More...
 
unsafe
NXOpen.SelectDisplayableObject 
SecondAssociativity [get]
 Returns the second associativity More...
 
unsafe NXOpen.Direction SecondVector [get, set]
 Returns or sets the second vector More...
 
unsafe NXOpen.View SecondVectorView [get, set]
 Returns or sets the second vector view More...
 
unsafe
NXOpen.Annotations.StyleBuilder 
Style [get]
 Returns the style More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.AngularDimension builder

This is an abstract class and cannot be instantiated.

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.Annotations.BaseAngularDimensionBuilder.AlternateAngle ( )
inline

Alternate angle

Created in NX9.0.0

License requirements: geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Annotations.BaseAngularDimensionBuilder.GetFirstAssociativityVectorFlipped ( )
inline

First associativity vector flipped

Created in NX9.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Annotations.BaseAngularDimensionBuilder.GetSecondAssociativityVectorFlipped ( )
inline

Second associativity vector flipped

Created in NX9.0.0

License requirements: None.

Returns
unsafe void NXOpen.Annotations.BaseAngularDimensionBuilder.SetFirstAssociativityVectorFlipped ( bool  firstVectorFlipped)
inline

First associativity vector flipped

Created in NX9.0.0

License requirements: geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")

Parameters
firstVectorFlipped
unsafe void NXOpen.Annotations.BaseAngularDimensionBuilder.SetSecondAssociativityVectorFlipped ( bool  secondVectorFlipped)
inline

Second associativity vector flipped

Created in NX9.0.0

License requirements: geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")

Parameters
secondVectorFlipped

Property Documentation

unsafe NXOpen.Annotations.AppendedTextBuilder NXOpen.Annotations.BaseAngularDimensionBuilder.AppendedText
get

Returns the appended text

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Annotations.BaseAngularDimensionBuilder.FirstAssociativity
get

Returns the first associativity

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Annotations.BaseAngularDimensionBuilder.FirstVector
getset

Returns or sets the first vector

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.View NXOpen.Annotations.BaseAngularDimensionBuilder.FirstVectorView
getset

Returns or sets the first vector view

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.SelectDimension NXOpen.Annotations.BaseAngularDimensionBuilder.Inherit
get

Returns the inherit

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Annotations.Dimension.MeasurementTypes NXOpen.Annotations.BaseAngularDimensionBuilder.MeasurementType
getset

Returns or sets the measurement type

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT") OR drafting ("DRAFTING")

unsafe NXOpen.Annotations.OriginBuilder NXOpen.Annotations.BaseAngularDimensionBuilder.Origin
get

Returns the origin

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Annotations.BaseAngularDimensionBuilder.SecondAssociativity
get

Returns the second associativity

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Annotations.BaseAngularDimensionBuilder.SecondVector
getset

Returns or sets the second vector

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.View NXOpen.Annotations.BaseAngularDimensionBuilder.SecondVectorView
getset

Returns or sets the second vector view

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Annotations.StyleBuilder NXOpen.Annotations.BaseAngularDimensionBuilder.Style
get

Returns the style

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.